using Gtk;

namespace Buypeeb {
	internal class AddItemDialogue : Dialog {
		public AddItemDialogue() : this(new Builder("add.glade")) { }

		private AddItemDialogue(Builder builder) : base(builder.GetObject("DialogueAdd").Handle) {
			Title = "Add item";
			builder.Autoconnect(this);
			entryURL = (Entry) builder.GetObject("EntryAddURL");
			entryName = (Entry) builder.GetObject("EntryAddName");
			DeleteEvent += Window_Shutdown;
		}

		public Entry entryURL { get; }
		public Entry entryName { get; }

		private static void Window_Shutdown(object sender, DeleteEventArgs args) {
			Application.Quit();
		}
	}
}
